Summary:	Fast and reliable FTP client
Name:		filezilla
Version:	3.29.0
Release:	2
License:	GPLv2+
Group:		Networking/File transfer
Url:		http://filezilla-project.org/
Source0:	http://download.sourceforge.net/filezilla/FileZilla_%{version}_src.tar.bz2
Source1:	filezilla_ru.mo
Patch0:		filezilla-3.25.1-desktop-l10n.patch
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	xdg-utils
BuildRequires:	idn-devel
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libfilezilla)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pugixml-devel
Requires:	xdg-utils

%description
FileZilla is a fast and reliable FTP client and server with lots 
of useful features and an intuitive interface

%files -f %{name}.lang
%doc AUTHORS COPYING GPL.html NEWS README
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/docs/fzdefaults.xml.example
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man*/*

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export CXX=%{__cxx}
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-locales \
	--disable-manualupdatecheck \
	--with-tinyxml=builtin \
	--with-wx-config=wx-config \
	--disable-autoupdatecheck

%make LIBS="-lpthread"

%install
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='GTK' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/filezilla.mo

%changelog
